<section id="feature-section" class="feature-area home-feature">
    <div class="<?php if(esc_attr(get_theme_mod('feature_section_width','Box Width')) == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(esc_attr(get_theme_mod('feature_section_width','Box Width')) == 'Box Width'){ ?> container <?php }?>">
        <div class="ourtbx"> 
            <div class="row mr-0">
                <?php for($p=1; $p<7; $p++) { ?>
                <?php if( get_theme_mod('feature'.$p,false)) { ?>
                <?php $querycolumns = new WP_query('page_id='.get_theme_mod('feature'.$p,true)); ?>
                <?php while( $querycolumns->have_posts() ) : $querycolumns->the_post(); 
                $image = wp_get_attachment_image_src(get_post_thumbnail_id() , true); ?>
                <?php 
                if(has_post_thumbnail()){
                    $img = esc_url($image[0]);
                }
                if(empty($image)){
                    $img = get_template_directory_uri().'/assets/images/default.png';
                }
                ?>

                <div class="col-md-6 col-lg-4 box-space ">
                    <div class="threebox box<?php echo esc_attr( $p ) ?> <?php if($p % 3 == 0) { echo "last_column"; } ?>">    
                        <div class="single-feature">
                            <img src="<?php echo esc_url($img); ?>" alt="<?php the_title_attribute(); ?>">
                            <div class="feaoly"></div>
                            <div class="featurecontent part-2">
                                <i class="fa-solid fa-arrow-up"></i> 
                                <p class="section-area-text">
                                    <?php

                                        if(has_excerpt()){
                                          echo the_excerpt();
                                         }else{
                                          echo the_excerpt( get_the_content() , 10 );
                                         } 
                                    ?>
                                </p>
                                <a href="<?php echo esc_url( get_permalink() ); ?>">
                                    <h3 class="title"><?php the_title_attribute(); ?></h3>
                                </a>
                                <!-- </?php the_excerpt(); ?> -->
                               
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <?php endwhile;
            wp_reset_postdata(); ?>
            <?php } } ?>
            <div class="clear"></div> 
            </div>
        </div> 
	</div>
</section>
