<section id="aboutus-section" class="aboutus-area home-aboutus">

    <?php
        $aboutus_image = get_theme_mod('aboutus_image'); 
    ?>
	<div class="<?php if(esc_attr(get_theme_mod('home_construction_services_aboutus_section_width','Box Width')) == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(esc_attr(get_theme_mod('home_construction_services_aboutus_section_width','Box Width')) == 'Box Width'){ ?> container <?php }?>">
        
        <div class="row m-0">  
            <div class="imgbx">  
                <div class="abtimg">              
                    <?php 
                        if(!empty($aboutus_image)){
                            echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($aboutus_image).'"  />';
                        }else{
                            echo '<img src="'.get_template_directory_uri().'/assets/images/aboutimg2.png" />';
                        }
                    ?>
                    <div class="imgtitlebx">
                        <h6><?php echo esc_html(get_theme_mod('aboutus_imgsubheading')); ?></h6>
                        <h4><?php echo esc_html(get_theme_mod('aboutus_imgheading')); ?></h4>
                    </div>
                </div>	
                
               
                
                <div class="abt_img_description">  
                    <p><?php echo esc_html(get_theme_mod('aboutus_imgdescription')); ?></p>
                </div>
    		</div>

            <div class="abtdetail">
                <div class="detailbxinn">
                    <div class="abt-dbx">
                        <h2><?php echo esc_html(get_theme_mod('aboutus_title')); ?></h2>
                    </div>
                    <div class="abt-box">
                        <?php echo esc_html(get_theme_mod('aboutus_description')); ?>     
                    </div>
                    <div class="lists row">
                        <div class="col-lg-6 col-md-6 col-sm-12">
                            <p><i class="fa-solid fa-check"></i><?php echo esc_html(get_theme_mod('aboutus_list1')); ?></p>
                            <p><i class="fa-solid fa-check"></i><?php echo esc_html(get_theme_mod('aboutus_list2')); ?></p>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-12">
                            <p><i class="fa-solid fa-check"></i><?php echo esc_html(get_theme_mod('aboutus_list3')); ?></p>
                            <p><i class="fa-solid fa-check"></i><?php echo esc_html(get_theme_mod('aboutus_list4')); ?></p>
                        </div>
                    </div>
                    <div class="box2">
                        <div class="row">
                            <div class="icnimg">
                                <img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/abt-list.png" alt="About Us" />
                            </div>
                            <div class="text">
                                <h2><?php echo esc_html(get_theme_mod('aboutus_box1heading')); ?></h2>
                                <p><?php echo esc_html(get_theme_mod('aboutus_box1description')); ?></p>
                            </div>
                        </div>
                    </div>   
                    <div class="box2">
                        <div class="row">
                            <div class="icnimg">
                                <img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/abt-list2.png" alt="About Us" />
                            </div>
                            <div class="text">
                                <h2><?php echo esc_html(get_theme_mod('aboutus_box2heading')); ?></h2>
                                <p><?php echo esc_html(get_theme_mod('aboutus_box2description')); ?></p>
                            </div>
                        </div>
                    </div>
                    
                    <div class="abt-btn">
                        <a class="l_more" href="<?php echo esc_html(get_theme_mod('aboutus_aboutusbtn_link')); ?>">
                            <?php esc_html_e('About Us','home-construction-services'); ?>
                        </a>
                        <div class="clearfix"></div>
                    </div>
                </div>

            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</section>
