<section id="slider-section" class="slider-area home-slider">
  <!-- <div class="slideinning"></div> -->
  <!-- start of hero --> 
  <section class="hero-slider hero-style">
    <div class="home_construction_servicesswiper-container">
      <div class="swiper-wrapper">
        <?php for($p=1; $p<6; $p++) { ?>
        <?php if( get_theme_mod('slider'.$p,false)) { ?>
        <?php $querycolumns = new WP_query('page_id='.get_theme_mod('slider'.$p,true)); ?>
        <?php while( $querycolumns->have_posts() ) : $querycolumns->the_post(); 
          $image = wp_get_attachment_image_src(get_post_thumbnail_id() , true); ?>
        <?php 
          if(has_post_thumbnail()){
            $img = esc_url($image[0]);
          }
          if(empty($image)){
            $img = get_template_directory_uri().'/assets/images/default.png';
          }

        ?>
      <!-- <div class="container"> -->
        <div class="home_construction_servicesswiper-slide">
            <div class="home_construction_servicesslide-inner slide-bg-image">
              <div class="container">
                <div class="row">
                    <div class="sliderimg">
                        <img class="slide-mainimg slidershape1" src="<?php echo esc_url($img); ?>" alt="<?php the_title_attribute(); ?>">
                        <div class="slider-olay"></div>
                    </div>                      
                    <div class="slidercontent">
                        <div class="sub-title">
                        <h3><?php echo esc_html(get_theme_mod('slider_subtitle')); ?></h3>
                        </div>
                        <div class="slide-title">
                            <h2><?php the_title_attribute(); ?></h2>    
                        </div>     
                        <div class="slide-text"> 
                          <?php the_excerpt(); ?>
                        </div>
                        <div class="slide-btns">
                            <a class="ReadMore" href="<?php echo esc_url( get_permalink() ); ?>">
                              <?php esc_html_e('Get Started','home-construction-services'); ?> 
                              <i class="fa-solid fa-arrow-right-long"></i> 
                            </a>
                            <a class="videobtn" href="#">
                              <i class="fa-solid fa-play"></i>
                              <?php esc_html_e('Watch Video','home-construction-services'); ?> 
                            </a>
                        </div>
                    </div>
                </div>
                </div>
            </div>
        </div>
      <!-- </div> -->
        <?php endwhile;
           wp_reset_postdata(); ?>
        <?php } } ?>
        <div class="clear"></div> 

      </div>
       <!-- swipper controls -->
      <div class="home_construction_servicesswiper-pagination"></div>
      <div class="home_construction_servicesswiper-button-next">
        <i class="fa-solid fa-arrow-left"></i>
      </div>
      <div class="home_construction_servicesswiper-button-prev">
        <i class="fa-solid fa-arrow-left"></i>
      </div>
    </div>
  </section>
  <!-- end of hero slider -->
</section>


